<script type="text/javascript">
$(document).ready(function(){
	$("#input_pj").hide();
	$("#data_detail").hide();
	
	cari_user();
	
	function cari_user(){
		var no = 1;
	
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_user.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_user").val(data.user);
				cek_pending();
			}
		});
	}
	
	function cek_pending(){
		var no = 1;
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cek_data_pending.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.kode);
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_kodeplg").val(data.kodepl);
				$("#txt_namaplg").val(data.namapl);
				$("#txt_jttempo").val(data.jttempo);
				$("#txt_tanggaljt").val(data.tanggaljt);
				var kode = $("#txt_kode").val();
				
				if(!kode==''){
					$('#input_pj').show();
					$("#txt_namast").focus();
					cari_nourut();
					tampil_data_detail();
				}
				else $("#mulai").focus();
			}
		});
	}
	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$(".input_bayar").val('');
		$("#txt_caribr").val('');
		$("#input_pj").hide();
		$("#data_detail").hide();
		cari_tanggal();
	});
	
	function cari_tanggal(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
		
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		var user 	= $("#txt_user").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_nomor.php",
			data	: "tanggal="+tanggal+
					"&user="+user,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$("#input_pj").show();
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/penjualan/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var kode=$("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_total").val(data.total);
				$("#txt_ctotal").val(data.total);
				$("#txt_tothpp").val(data.tothpp);
				format_total();
			}
		});
	}
	
	function format_total(){
		var angka 	= $("#txt_total").val();
		var jhuruf		= angka.length;		
				
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){				
				$("#txt_ctotal").val(data.huruf);
				var ctotal=$("#txt_ctotal").val();				
			}
		});
	}
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	$('#txt_jttempo').keyup(function(){
		var jttempo = $('#txt_jttempo').val();
		var tanggal = $('#txt_tanggal').val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_tgjt.php",
			data	: "jttempo="+jttempo+
				"&tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggaljt").val(data.tanggaljt);
			}
		});
	});

	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 750,
	});

	$('#txt_namast').click(function(){
		var cari = $("#txt_caribr").val();
		$('#form_cari_barang').dialog('open');
		$("#info_barang").load("modul/penjualan/tampil_data_barang.php?cari="+cari);
		$("#txt_caribr").focus();
	});
	
	$('#txt_namast').keyup(function(){
		var cari = $("#txt_caribr").val();
		$('#form_cari_barang').dialog('open');
		$("#info_barang").load("modul/penjualan/tampil_data_barang.php?cari="+cari);
		$("#txt_caribr").focus();
	});
	
	$("#txt_caribr").keyup(function(){
		var cari = $("#txt_caribr").val();
		$.ajax({
			type	: "GET",
			url		: "modul/penjualan/tampil_data_barang.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_barang").html(data);
			}
		});
	});
		
	$("#txt_jmlunit").keyup(function(){
		var junit = parseInt($("#txt_jmlunit").val());
		var jstok = parseInt($("#txt_jmlstok").val());

		if(junit>jstok){
			alert('Jumlah stok : '+jstok+', tidak mencukupi.');
			return (false);
		}
		hitung_jumlah();
	});
	
	$("#txt_hgjual").keyup(function(){
		hitung_jumlah();
	});
	
	$("#txt_disc").keyup(function(){
		hitung_jumlah();
	});
		
	function hitung_jumlah(){
		var unit		=$("#txt_jmlunit").val();
		var hgjual	=$("#txt_hgjual").val();
		var disc		=$("#txt_disc").val();
		var junit		=parseFloat(unit);
		
		if(!disc=='') var jdisc=parseFloat(disc);
		else var jdisc=0;
		
		var tjumlah	=parseFloat(unit)*parseInt(hgjual);
		$("#txt_jumlah").val(tjumlah);
	}
	
	$("#simpan").click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var kode		= $("#txt_kode").val();
		var tanggal		= $("#txt_tanggal").val();
		var kodeplg	    = $("#txt_kodeplg").val();
		var namaplg	    = $("#txt_namaplg").val();
		var jttempo		= $("#txt_jttempo").val();
		var tanggaljt	= $("#txt_tanggaljt").val();
		var nourut		= $("#txt_nourut").val();
		var kodest		= $("#txt_kodest").val();
		var namast		= $("#txt_namast").val();
		var satuan		= $("#txt_satuan").val();
		var jmlunit		= $("#txt_jmlunit").val();
		var hgjual		= $("#txt_hgjual").val();
		var nhgjual		= parseInt(hgjual);
		var hgbeli		= $("#txt_hgbeli").val();
		var nhgbeli		= parseInt(hgbeli);
		var nhgbeli		= nhgbeli.toFixed(2);
		var hba    		= $("#txt_hba").val();
		var jumlah		= $("#txt_jumlah").val();
		var total		= $("#txt_total").val();
		var hpp			= parseFloat(jmlunit)*parseFloat(hgbeli);
		var hpp			= hpp.toFixed(2);
		var user		= $("#txt_user").val();
		var umur 		= $("#txt_umurpiut").val();
		var limit		= $("#txt_limitup").val();
		
		if(!limit=='')
			var nlimit	= parseInt(limit);
		else var nlimit = 0;

		if(!umur=='')
			var numur = parseInt(umur);
		else var numur = 0;

		if(numur>nlimit){
			alert('Maaf, pelanggan '+namaplg+' mempunyai hutang berumur '+umur+', penjualan tidak dapat dilanjutkan.');
			$("#txt_kodeplg").focus();
			return(false);
		}
		if(kode.length == 0){
           alert("Maaf, Nomor faktur masih kosong, klik Buat Faktur untuk buat nomor baru.");
		   $("#mulai").focus();
		   return (false);
        }

		if(kodest.length == 0){
           alert("Maaf, Kode Barang tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
        }
		if(jmlunit.length == 0){
           alert("Maaf, Jumlah barang tidak boleh kosong");
		   $("#txt_jmlunit").focus();
		   return (false);
        }
		if(nhgjual<hba){
			alert("Maaf, harga jual lebih kecil dari harga beli "+hba+'.');
			$("#txt_hgjual").focus();
     	    //return (false);
		}

		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodeplg="+kodeplg+
					"&namaplg="+namaplg+
					"&jttempo="+jttempo+
					"&tanggaljt="+tanggaljt+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&hgjual="+hgjual+
					"&jmlunit="+jmlunit+
					"&jumlah="+jumlah+
					"&hpp="+hpp+
					"&total="+total+
					"&user="+user,
            success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_caribr").val('');
				cari_nourut();
				tampil_data_detail();
				$("#txt_namast").focus();
			}
		});
	}
	
	$("#bayar").click(function(){
		var	total= $("#txt_total").val();

		if(total.length == 0){
			alert("Maaf, Total penjualan masih kosong");
			$("#txt_barcode").focus();
			return (false);
        }
	});

	$("#txt_bayar").keyup(function(){
		var	total = $("#txt_total").val();
		var	bayar = $("#txt_bayar").val();
		var	kurang= parseInt(total)-parseInt(bayar);

		$("#txt_kurang").val(kurang);
		format_kurang();
	});
	
	function format_kurang(){
		var angka = $("#txt_kurang").val();
		var jhuruf= angka.length;

		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){
				$("#txt_ckurang").val(data.huruf);
			}
		});
	}
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namaplg').keyup(function(){
	    cari_nomor();
		var cari= $("#txt_cariplg").val();
		$('#form_cari_plg').dialog('open');
		$("#info_pelanggan").load('modul/penjualan/tampil_data_plg.php?cari='+cari);
		$("#txt_cariplg").focus();
	});
	
	$("#txt_cariplg").keyup(function(){
		$("#info_pelanggan").show();
		var cari	= $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/tampil_data_plg.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_pelanggan").html(data);
			}
		});
	});
	
	$('#form_lihat_detail').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#detail").click(function(){
		$('#form_lihat_detail').dialog('open');
		var kode = $("#txt_kode").val();
		$("#lihat_detail").show();
		$("#lihat_detail").load("modul/penjualan/tampil_data_detail.php?kode="+kode);
	});

	$("#rekam_pj").click(function(){
		var kode		= $("#txt_kode").val();
		var tanggal 	= $("#txt_tanggal").val();
		var kodeplg 	= $("#txt_kodeplg").val();
		var namaplg 	= $("#txt_namaplg").val();
		var tanggaljt	= $("#txt_tanggaljt").val();
		var user   		= $("#txt_user").val();
		var total		= $("#txt_total").val();
		var bayar		= $("#txt_bayar").val();
		var kurang		= $("#txt_kurang").val();
		var tothpp		= $("#txt_tothpp").val();
		var ntotal		= parseInt(total);
		var nbayar		= parseInt(bayar);
		
		if(kode.length == 0){
           alert("Maaf, Nomor faktur masih kosong, klik Buat Faktur untuk buat nomor baru.");
		   return (false);
        }

		if(total.length == 0){
			alert("Maaf, Total penjualan masih kosong");
			$("#txt_kodest").focus();
			return (false);
        }

		if(bayar.length == 0){
			alert("Maaf, Jumlah dibayar masih kosong.");
			$("#txt_bayar").focus();
			return (false);
        }
		
		if(kurang<0){
			if(namaplg==''){
				alert("Maaf, Jumlah pembayaran lebih kecil dari total penjualan, nama pelanggan harus diisi.");
				$("#txt_namaplg").focus();
				return (false);
			}
		}
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/simpan_pj.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodeplg="+kodeplg+
				"&namaplg="+namaplg+
				"&tanggaljt="+tanggaljt+
				"&user="+user+
				"&total="+total+
				"&bayar="+bayar+
				"&kurang="+kurang+
				"&tothpp="+tothpp,
			success	: function(data){
				$("#info").html(data);
				$("#data_detail").hide();
				$("#cetak_fkt").focus();
				$("#txt_posting").val('P');
			}
		});
	});

	$("#batal_pj").click(function(){
		var	kode	= $("#txt_kode").val();
		var	total	= $("#txt_total").val();

		if(kode.length == 0){
           alert("Maaf, Nomor faktur  masih kosong.");
		   return (false);
        }

		if(total.length == 0){
			alert("Maaf, Total penjualan masih kosong");
			$("#txt_kodest").focus();
			return (false);
        }

		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ?');
		if (pilih==true) {
			var	kode	= $("#txt_kode").val();
			$.ajax({
				type	: "POST",
				url		: "modul/penjualan/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$("#txt_caribr").val('');
					$("#input_pj").hide();
					$("#data_detail").hide();
					$("#mulai").focus();
				}
			});
		}
	});

	$("#cetak_fkt").click(function(){
		var kode		= $("#txt_kode").val();
		var tgl			= $("#txt_tanggal").val();
		var kodeplg	    = $("#txt_kodeplg").val();
		var namaplg 	= $("#txt_namaplg").val();
		var tanggaljt	= $("#txt_tanggaljt").val();
		var total		= $("#txt_total").val();
		var bayar		= $("#txt_bayar").val();
		var posting 	= $("#txt_posting").val();
		
		if(total.length == 0){
			alert("Maaf, Data input faktur belum ada. Klik tombol Buat Faktur untuk mulai.");
			$("#mulai").focus();
			return (false);
        }

		if(bayar.length == 0){
			alert("Maaf, Total dibayar masih kosong");
			$("#txt_bayar").focus();
			return (false);
        }
		
		if(posting.length == 0){
			alert("Maaf, data faktur belum direkam.");
			$("#rekam_pj").focus();
			return (false);
        }
		window.location.href='modul/laporan/faktur_pj.php?kode='+kode+'&tgl='+tgl+'&kodeplg='+kodeplg+'&namaplg='+namaplg+'&tanggaljt='+tanggaljt;
		$("#mulai").focus();
	});

	$("#tutup").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
#txt_ctotal{
	font-size:25px;
	background:#CCC;
}
#txt_ckurang{
	font-size:25px;
	background:#CCC;
}
.data_detail{
	font-size:14px;
}
.input_detail readonly {
	background:#CCC;
}
.button {
	color:blue;
}
</style>

<?php

echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_user' id='txt_user' hidden/>
		<input type='text' name='txt_posting' id='txt_posting' class='input_header' hidden />
		<input type='text' name='txt_limitup' id='txt_limitup' class='input_header' hidden />
		<input type='text' name='txt_umurpiut' id='txt_umurpiut' class='input_header' hidden />
		<td>No.Faktur : <input type='text' name='txt_kode' id='txt_kode' size='14' class='input_header' readonly /></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>
		<td>Pelanggan : <input type='text' name='txt_namaplg' id='txt_namaplg' size='25' class='input_header'>
			<input type='text' name='txt_kodeplg' id='txt_kodeplg' size='3' class='input_header' readonly />
		</td>
		<td>Jatuh Tempo : <input type='text' name='txt_jttempo' id='txt_jttempo' size='2' class='input_header'> hari 
		    <input type='date' name='txt_tanggaljt' id='txt_tanggaljt' size='10' class='input_header' readonly />
		</td>
	</tr>
</table>
<hr>";

echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Barang</th>
			<th>Kode</th>
			<th>Satuan</th>
			<th>Jml.Unit</th>
			<th>Harga</th>
			<th>Diskon</th>
			<th></th>
			<th>Jml. Harga</th>
		<tr>
		<tr>
			<input type='text' name='txt_jmlstok' id='txt_jmlstok' class='input_detail' hidden />
			<input type='text' name='txt_hgbeli' id='txt_hgbeli' class='input_detail' hidden />
			<input type='text' name='txt_hba' id='txt_hba' class='input_detail' hidden />
			<input type='text' name='txt_hpp' id='txt_hpp' class='input_detail' hidden />			
			<input type='text' name='txt_nourut' id='txt_nourut' class='input_detail' size='6' hidden/>
			<td align='center'><input type='text' name='txt_namast' id='txt_namast' class='input_detail' size='25' ></td>
			<td align='center'><input type='text' name='txt_kodest' id='txt_kodest' class='input_detail' size='7' readonly/></td>
			<td><input type='text' name='txt_satuan' id='txt_satuan' class='input_detail' size='6' readonly />
			<td align='center'><input type='text' name='txt_jmlunit' id='txt_jmlunit' class='input_detail' size='6' maxlength='6'></td>			
			<td align='center'><input type='text' name='txt_hgjual' id='txt_hgjual' class='input_detail' size='8' maxlength='8'></td>
			<td align='center'><input type='text' name='txt_disc' id='txt_disc' class='input_detail' size='5' maxlength='5'> %</td>
			<td><button name='simpan' id='simpan'>Rekam</button></td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='10' maxlength='10'></td>			
		</tr>
	</table>
	<hr>
	</div>";

echo "<div id='input_pj'>
	<table width='100%'>
	<tr>		
		<input type='text' name='txt_posting' id='txt_posting' class='input_detail' hidden />
		<input align='right' type='text' name='txt_total' id='txt_total' class='input_header' hidden />
		<input type='text' name='txt_tothpp' id='txt_tothpp' class='input_header' hidden />
		<input align='right' type='text' name='txt_kurang' id='txt_kurang' class='input_header' hidden />
		<td>Total : <input style='color:maroon' align='right' type='text' name='txt_ctotal' id='txt_ctotal' class='input_bayar' size='10' readonly /></td>
		<td>Dibayar : <input align='right' type='text' name='txt_bayar' id='txt_bayar' class='input_bayar' size='9' maxlength='10'></td>
		<td>Kurang bayar : <input style='color:maroon' align='right' type='text' name='txt_ckurang' id='txt_ckurang' class='input_bayar' size='9' readonly /></td>
		<td><button name='rekam_pj' id='rekam_pj'>Rekam Fkt</button>
			<button name='cetak_fkt' id='cetak_fkt'>Cetak Nota</button>
			<button name='batal_pj' id='batal_pj'>Batal</button>
		</td>
		<td align='right'>
			<button name='detail' id='detail'>Lihat Detail</button>
		</td>
	</tr>
	</table>
	</div>";

echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td width='20%'>Cari Pelanggan</td>
				<td width='2%'>:</td>
				<td><input type='text' name='txt_cariplg' id='txt_cariplg' size='40'</td>
			</tr>
		</table>
		<div id='info_pelanggan' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='data_detail' style='overflow-x: auto;height: 340px;scroll-behavior: smooth'></div>";
	
echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td>Cari Barang : <input type='text' name='txt_caribr' id='txt_caribr' size='40'></td>
			</tr>
		</table>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_lihat_detail' title='Detail nota'>
		<div id='lihat_nota' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>
	</div>";
		
echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		<button name='mulai' id='mulai'>Buat Faktur</button>
		<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>";
?>